Summary: Change sshd_config to meet Fermilab's standards
Name: zz_fermi_sshd_config
Version: 5.3
Release: 3
License: GPL
Group: System Environment/Base
Requires: policycoreutils xorg-x11-xauth coreutils
Requires: augeas >= 0.7.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
BuildArch: noarch

%description
The openssh server configuration is normally not fully kerberized out of the box.
This rpm configures /etc/ssh/sshd_config with Fermilab defaults.  These include
X11Forwarding and GSSAPI.

%prep
rm -rf $RPM_BUILD_ROOT

%files

%triggerin -- openssh-server
if [ -f /etc/ssh/sshd_config ] ; then
    if ! [ -f /etc/ssh/sshd_config.save ] ; then
        /bin/mv -f /etc/ssh/sshd_config /etc/ssh/sshd_config.save
    fi

   TMPFILE=`mktemp`

   cat > $TMPFILE <<FERMISSHDOPTIONS
set /files/etc/ssh/sshd_config/Protocol 2

set /files/etc/ssh/sshd_config/RSAAuthentication no
set /files/etc/ssh/sshd_config/PubkeyAuthentication no
set /files/etc/ssh/sshd_config/PasswordAuthentication no
set /files/etc/ssh/sshd_config/ChallengeResponseAuthentication no
set /files/etc/ssh/sshd_config/UsePAM no

set /files/etc/ssh/sshd_config/KerberosAuthentication yes
set /files/etc/ssh/sshd_config/KerberosOrLocalPasswd no
set /files/etc/ssh/sshd_config/KerberosTicketCleanup yes

set /files/etc/ssh/sshd_config/GSSAPIAuthentication yes
set /files/etc/ssh/sshd_config/GSSAPICleanupCredentials yes

set /files/etc/ssh/sshd_config/X11Forwarding yes
set /files/etc/ssh/sshd_config/AllowTcpForwarding yes

set /files/etc/ssh/sshd_config/UsePrivilegeSeparation yes

save

FERMISSHDOPTIONS
# Cryptocard requires UsePrivilegeSeparation no

    # set the values
    augtool < $TMPFILE >/dev/null 2>&1
    rm -f $TMPFILE

    restorecon /etc/ssh/sshd_config >/dev/null 2>&1
fi

# setup selinux context correctly on /root/.k5login
if [[ ! -e /root/.k5login ]]; then
    touch /root/.k5login >/dev/null 2>&1
fi
chown root:root /root/.k5login >/dev/null 2>&1
chmod 600 /root/.k5login >/dev/null 2>&1
restorecon /root/.k5login >/dev/null 2>&1

%changelog
* Thu Mar 1 2012 Pat Riehecky <riehecky@fnal.gov> 5.3-3
- added xorg-x11-xauth dependency so X11 forwarding works out of the box
- returned UsePrivilegeSeparation to defaults, since we've no cryptocard for 6
- moved to augeas based configuration to preserve some user options

* Thu Nov 10 2011 Pat Riehecky <riehecky@fnal.gov> 5.3-2
- added policycoreutils dependency (for restorecon)
- added restorecon on /root/.k5login to get selinux context right
    should be krb5_home_t

* Thu Feb 03 2011 Troy Dawson <dawson@fnal.gov> 5.3-1
- Updated to openssh 5.3 config file

* Wed Jan 07 2009 Troy Dawson <dawson@fnal.gov> 5.1-1
- First round, taking the spec file from zz_sshd_nonkerberized and tweeking it.
